aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-dbix-class-helpers/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2017-07-06 16:00:30 +0300
committerTimo Teräs <timo.teras@iki.fi>2017-07-11 14:31:24 +0300
commit6132ad3e0a9a8d80a40f3601a61a71b2cd61f51d (patch)
tree64a539b4b7d8793b3bcbf5f26820dd03140c19f9 /testing/perl-dbix-class-helpers/APKBUILD
parent2a43acd83ace5bb9eefc0681a9423b2a7892e7e1 (diff)
downloadaports-6132ad3e0a9a8d80a40f3601a61a71b2cd61f51d.tar.gz
aports-6132ad3e0a9a8d80a40f3601a61a71b2cd61f51d.tar.bz2
aports-6132ad3e0a9a8d80a40f3601a61a71b2cd61f51d.tar.xz
testing/perl-dbix-class-helpers: new aport
Simplify the common case stuff for DBIx::Class http://search.cpan.org/dist/DBIx-Class-Helpers/
Diffstat (limited to 'testing/perl-dbix-class-helpers/APKBUILD')
-rw-r--r--testing/perl-dbix-class-helpers/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/perl-dbix-class-helpers/APKBUILD b/testing/perl-dbix-class-helpers/APKBUILD
new file mode 100644
index 0000000000..e8343d2794
--- /dev/null
+++ b/testing/perl-dbix-class-helpers/APKBUILD
@@ -0,0 +1,48 @@
+# Automatically generated by apkbuild-cpan, template 2
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-dbix-class-helpers
+_pkgreal=DBIx-Class-Helpers
+pkgver=2.033003
+pkgrel=0
+pkgdesc="Simplify the common case stuff for DBIx::Class."
+url="http://search.cpan.org/dist/DBIx-Class-Helpers/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-safe-isa perl-dbix-class perl-carp-clan perl-text-brew perl-namespace-clean perl-sub-exporter-progressive perl-module-runtime perl-try-tiny perl-dbix-introspector perl-dbix-class-candy perl-lingua-en-inflect perl-moo"
+cpanmakedepends=""
+cpancheckdepends="perl-dbd-sqlite perl-test-fatal perl-test-roo perl-aliased perl-test-deep perl-datetime-format-sqlite"
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+checkdepends="$cpancheckdepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/F/FR/FREW/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+check() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make test
+}
+
+sha512sums="4df5ddfb7c10eb5561615c2d87d309a95a4f4f6908e2af634e39b04477cf9cf15039355029f4cae5e4069e1022a1d5423f4b03bd83cddb695ae24360a2250b9d DBIx-Class-Helpers-2.033003.tar.gz"